DiskAccessException (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache, class: DiskAccessException

Package org.apache.geode.cache

# Class DiskAccessException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.geode.GemFireException
org.apache.geode.cache.CacheRuntimeException
org.apache.geode.cache.DiskAccessException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ConflictingPersistentDataException`

public class DiskAccessException extends CacheRuntimeException
Indicates that an `IOException` during a disk region operation.

Since:
  GemFire 3.2
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DiskAccessException()`
  Constructs a new `DiskAccessException`.
  `DiskAccessException(String msg)`
  Constructs a new `DiskAccessException` with a message string.
  `DiskAccessException(String msg, String regionName)`
  Constructs a new `DiskAccessException` with a message string.
  `DiskAccessException(String msg, Throwable cause)`
  Constructs a new `DiskAccessException` with a message string and a cause.
  `DiskAccessException(String msg, Throwable cause, String regionName)`
  Constructs a new `DiskAccessException` with a message string and a cause.
  `DiskAccessException(String msg, Throwable cause, DiskStore ds)`
  Constructs a new `DiskAccessException` with a message string and a cause.
  `DiskAccessException(String msg, DiskStore ds)`
  Constructs a new `DiskAccessException` with a message string.
  `DiskAccessException(String msg, Region r)`
  Constructs a new `DiskAccessException` with a message string.
  `DiskAccessException(Throwable cause)`
  Constructs a new `DiskAccessException` with a cause.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isRemote()`
  Returns true if this exception originated from a remote node.

  ### Methods inherited from class org.apache.geode.cache.CacheRuntimeException

  `toString`

  ### Methods inherited from class org.apache.geode.GemFireException

  `getRootCause`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DiskAccessException

    public DiskAccessException()
    Constructs a new `DiskAccessException`.

  - ### DiskAccessException

    public DiskAccessException(String msg, Region r)
    Constructs a new `DiskAccessException` with a message string.
    Parameters:
      `msg` - a message string
      `r` - The Region for which the disk operation failed

  - ### DiskAccessException

    public DiskAccessException(String msg, String regionName)
    Constructs a new `DiskAccessException` with a message string.
    Parameters:
      `msg` - a message string
      `regionName` - The name of the Region for which the disk operation failed
    Since:
      GemFire 6.5

  - ### DiskAccessException

    public DiskAccessException(String msg, DiskStore ds)
    Constructs a new `DiskAccessException` with a message string.
    Parameters:
      `msg` - a message string
      `ds` - The disk store for which the disk operation failed
    Since:
      GemFire 6.5

  - ### DiskAccessException

    public DiskAccessException(String msg, Throwable cause, String regionName)
    Constructs a new `DiskAccessException` with a message string and a cause.
    Parameters:
      `msg` - the message string
      `cause` - a causal Throwable
      `regionName` - The name of the Region for which the disk operation failed
    Since:
      GemFire 6.5

  - ### DiskAccessException

    public DiskAccessException(String msg, Throwable cause, DiskStore ds)
    Constructs a new `DiskAccessException` with a message string and a cause.
    Parameters:
      `msg` - the message string
      `cause` - a causal Throwable
      `ds` - The disk store for which the disk operation failed
    Since:
      GemFire 6.5

  - ### DiskAccessException

    public DiskAccessException(Throwable cause)
    Constructs a new `DiskAccessException` with a cause.
    Parameters:
      `cause` - a causal Throwable

  - ### DiskAccessException

    public DiskAccessException(String msg, Throwable cause)
    Constructs a new `DiskAccessException` with a message string and a cause.
    Parameters:
      `msg` - the message string
      `cause` - a causal Throwable
    Since:
      GemFire 8.0

  - ### DiskAccessException

    public DiskAccessException(String msg)
    Constructs a new `DiskAccessException` with a message string.
    Parameters:
      `msg` - the message string

- ## Method Details

  - ### isRemote

    public boolean isRemote()
    Returns true if this exception originated from a remote node.
    Returns:
      whether this exception originated from a remote node